Index Page vcrss_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void vcrss_c ( ConstSpiceDouble   v1[3],
                      ConstSpiceDouble   v2[3],
                      SpiceDouble        vout[3] )

#### Abstract

       Compute the cross product of two 3-dimensional vectors.

#### Required_Reading

       None.

#### Keywords

       VECTOR

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       v1         I     Left hand vector for cross product.
       v2         I     Right hand vector for cross product.
       vout       O     Cross product v1xv2.
                        vout can overwrite either v1 or v2.

#### Detailed_Input

       v1      This may be any 3-dimensional vector.  Typically, this
               might represent the (possibly unit) vector to a planet,
               sun, or a star which defines the orientation of axes of
               some coordinate system.

       v2      Ditto.

#### Detailed_Output

       vout    This variable represents the cross product of v1 and v2.
               vout may overwrite v1 or v2.

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       vcrss_c calculates the three dimensional cross product of two
       vectors according to the definition.  The cross product is stored
       in a buffer vector until the calculation is complete.  Thus vout
       may overwrite v1 or v2 without interfering with intermediate
       computations.

       If v1 and v2 are large in magnitude (taken together, their
       magnitude surpasses the limit allow by the computer) then it may
       be possible to generate a floating point overflow from an
       intermediate computation even though the actual cross product
       may be well within the range of double precision numbers.
       vcrss_c does NOT check the magnitude of v1 or v2 to insure that
       overflow will not occur.

#### Examples

       v1                  v2                  vout (=v1Xv2)
       -----------------------------------------------------------------
       (0, 1, 0)           (1, 0, 0)           (0, 0, -1)
       (5, 5, 5)           (-1, -1, -1)        (0, 0, 0)

#### Restrictions

       No checking of v1 or v2 is done to prevent floating point
       overflow. The user is required to determine that the magnitude
       of each component of the vectors is within an appropriate range
       so as not to cause floating point overflow. In almost every case
       there will be no problem and no checking actually needs to be
       done.

#### Literature_References

       None.

#### Author_and_Institution

       W.M. Owen       (JPL)
       E.D. Wright     (JPL)

#### Version

       -CSPICE Version 1.1.0, 22-OCT-1998 (NJB)

          Made input vectors const.

       -CSPICE Version 1.0.1, 06-MAR-1998 (EDW)

          Minor header correction.  Added use of MOVED.

       -CSPICE Version 1.0.0, 08-FEB-1998 (EDW)

#### Index_Entries

       vector cross product

#### Link to routine vcrss_c source file vcrss_c.c

    Wed Apr  5 17:54:46 2017